Package org.eclipse.graphiti.mm

# Interface MmPackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `MmPackageImpl`

public interface MmPackage extends org.eclipse.emf.ecore.EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  - `MmFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`MmPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MmPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`GRAPHICS_ALGORITHM_CONTAINER`
The meta object id for the '`Graphics Algorithm Container`' class.
`static final int`
`GRAPHICS_ALGORITHM_CONTAINER__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`GRAPHICS_ALGORITHM_CONTAINER_FEATURE_COUNT`
The number of structural features of the 'Graphics Algorithm Container' class.
`static final int`
`PROPERTY`
The meta object id for the '`Property`' class.
`static final int`
`PROPERTY__KEY`
The feature id for the 'Key' attribute.
`static final int`
`PROPERTY__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`PROPERTY_CONTAINER`
The meta object id for the '`Property Container`' class.
`static final int`
`PROPERTY_CONTAINER__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`PROPERTY_CONTAINER_FEATURE_COUNT`
The number of structural features of the 'Property Container' class.
`static final int`
`PROPERTY_FEATURE_COUNT`
The number of structural features of the 'Property' class.
`static final int`
`STYLE_CONTAINER`
The meta object id for the '`Style Container`' class.
`static final int`
`STYLE_CONTAINER__STYLES`
The feature id for the 'Styles' containment reference list.
`static final int`
`STYLE_CONTAINER_FEATURE_COUNT`
The number of structural features of the 'Style Container' class.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EClass`
`getGraphicsAlgorithmContainer()`
Returns the meta object for class '`Graphics Algorithm Container`'.
`MmFactory`
`getMmFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getProperty()`
Returns the meta object for class '`Property`'.
`org.eclipse.emf.ecore.EAttribute`
`getProperty_Key()`
Returns the meta object for the attribute '`Key`'.
`org.eclipse.emf.ecore.EAttribute`
`getProperty_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getPropertyContainer()`
Returns the meta object for class '`Property Container`'.
`org.eclipse.emf.ecore.EReference`
`getPropertyContainer_Properties()`
Returns the meta object for the containment reference list '`Properties`'.
`org.eclipse.emf.ecore.EClass`
`getStyleContainer()`
Returns the meta object for class '`Style Container`'.
`org.eclipse.emf.ecore.EReference`
`getStyleContainer_Styles()`
Returns the meta object for the containment reference list '`Styles`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

static final MmPackage eINSTANCE
The singleton instance of the package.

### PROPERTY

static final int PROPERTY
The meta object id for the '`Property`' class.

See Also:
  - `PropertyImpl`
  - `MmPackageImpl.getProperty()`
  - Constant Field Values

### PROPERTY__KEY

static final int PROPERTY__KEY
The feature id for the 'Key' attribute.

See Also:
  - Constant Field Values

### PROPERTY__VALUE

static final int PROPERTY__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### PROPERTY_FEATURE_COUNT

static final int PROPERTY_FEATURE_COUNT
The number of structural features of the 'Property' class.

See Also:
  - Constant Field Values

### PROPERTY_CONTAINER

static final int PROPERTY_CONTAINER
The meta object id for the '`Property Container`' class.

See Also:
  - `PropertyContainerImpl`
  - `MmPackageImpl.getPropertyContainer()`
  - Constant Field Values

### PROPERTY_CONTAINER__PROPERTIES

static final int PROPERTY_CONTAINER__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### PROPERTY_CONTAINER_FEATURE_COUNT

static final int PROPERTY_CONTAINER_FEATURE_COUNT
The number of structural features of the 'Property Container' class.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM_CONTAINER

static final int GRAPHICS_ALGORITHM_CONTAINER
The meta object id for the '`Graphics Algorithm Container`' class.

See Also:
  - `GraphicsAlgorithmContainerImpl`
  - `MmPackageImpl.getGraphicsAlgorithmContainer()`
  - Constant Field Values

### GRAPHICS_ALGORITHM_CONTAINER__PROPERTIES

static final int GRAPHICS_ALGORITHM_CONTAINER__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM_CONTAINER_FEATURE_COUNT

static final int GRAPHICS_ALGORITHM_CONTAINER_FEATURE_COUNT
The number of structural features of the 'Graphics Algorithm Container' class.

See Also:
  - Constant Field Values

### STYLE_CONTAINER

static final int STYLE_CONTAINER
The meta object id for the '`Style Container`' class.

See Also:
  - `StyleContainerImpl`
  - `MmPackageImpl.getStyleContainer()`
  - Constant Field Values

### STYLE_CONTAINER__STYLES

static final int STYLE_CONTAINER__STYLES
The feature id for the 'Styles' containment reference list.

See Also:
  - Constant Field Values

### STYLE_CONTAINER_FEATURE_COUNT

static final int STYLE_CONTAINER_FEATURE_COUNT
The number of structural features of the 'Style Container' class.

See Also:
  - Constant Field Values

## Method Details

### getProperty

org.eclipse.emf.ecore.EClass getProperty()
Returns the meta object for class '`Property`'.

Returns:
  the meta object for class 'Property'.
See Also:
  - `Property`

### getProperty_Key

org.eclipse.emf.ecore.EAttribute getProperty_Key()
Returns the meta object for the attribute '`Key`'.

Returns:
  the meta object for the attribute 'Key'.
See Also:
  - `Property.getKey()`
  - `getProperty()`

### getProperty_Value

org.eclipse.emf.ecore.EAttribute getProperty_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `Property.getValue()`
  - `getProperty()`

### getGraphicsAlgorithmContainer

org.eclipse.emf.ecore.EClass getGraphicsAlgorithmContainer()
Returns the meta object for class '`Graphics Algorithm Container`'.

Returns:
  the meta object for class 'Graphics Algorithm Container'.
See Also:
  - `GraphicsAlgorithmContainer`

### getPropertyContainer

org.eclipse.emf.ecore.EClass getPropertyContainer()
Returns the meta object for class '`Property Container`'.

Returns:
  the meta object for class 'Property Container'.
See Also:
  - `PropertyContainer`

### getPropertyContainer_Properties

org.eclipse.emf.ecore.EReference getPropertyContainer_Properties()
Returns the meta object for the containment reference list '`Properties`'.

Returns:
  the meta object for the containment reference list 'Properties'.
See Also:
  - `PropertyContainer.getProperties()`
  - `getPropertyContainer()`

### getStyleContainer

org.eclipse.emf.ecore.EClass getStyleContainer()
Returns the meta object for class '`Style Container`'.

Returns:
  the meta object for class 'Style Container'.
See Also:
  - `StyleContainer`

### getStyleContainer_Styles

org.eclipse.emf.ecore.EReference getStyleContainer_Styles()
Returns the meta object for the containment reference list '`Styles`'.

Returns:
  the meta object for the containment reference list 'Styles'.
See Also:
  - `StyleContainer.getStyles()`
  - `getStyleContainer()`

### getMmFactory

MmFactory getMmFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.